VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget:

## Avaliable Methods
public method | set_port ()
public method | set_community ()
public method | set_ip ()
public method | get_community ()
public method | get_port ()
public method | new ()
public method | get_ip ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget` class Structure that defines an SNMP v1/v2c trap target.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::get_community | ( |  | ) |

Gets the value of 'community' property.

Return values

  community | - The current value of the field. SNMP target community String#

Code:
click to view
# Number of lines of code in get_community: 4
sub get_community {
my ($self, %args) = @_;
return $self->{'community'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::get_ip | ( |  | ) |

Gets the value of 'ip' property.

Return values

  ip | - The current value of the field. SNMP target ip String#

Code:
click to view
# Number of lines of code in get_ip: 4
sub get_ip {
my ($self, %args) = @_;
return $self->{'ip'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::get_port | ( |  | ) |

Gets the value of 'port' property.

Return values

  port | - The current value of the field. SNMP target port long#

Code:
click to view
# Number of lines of code in get_port: 4
sub get_port {
my ($self, %args) = @_;
return $self->{'port'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{ip} = $args{'ip'};
$self->{port} = $args{'port'};
$self->{community} = $args{'community'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNM_pv1_trap_target');
$self->set_binding_field('key' => 'ip', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'port', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'community', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::set_community | ( |  | ) |

Sets the given value for 'community' property.

Parameters

  community | - New value for the field. SNMP target community

Code:
click to view
# Number of lines of code in set_community: 5
sub set_community {
my ($self, %args) = @_;
$self->{'community'} = $args{'community'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::set_ip | ( |  | ) |

Sets the given value for 'ip' property.

Parameters

  ip | - New value for the field. SNMP target ip

Code:
click to view
# Number of lines of code in set_ip: 5
sub set_ip {
my ($self, %args) = @_;
$self->{'ip'} = $args{'ip'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv1TrapTarget::set_port | ( |  | ) |

Sets the given value for 'port' property.

Parameters

  port | - New value for the field. SNMP target port

Code:
click to view
# Number of lines of code in set_port: 5
sub set_port {
my ($self, %args) = @_;
$self->{'port'} = $args{'port'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm